'Future.Library Testing screenmode-availability
'
REM $INCLUDE: 'future.bi'

CLS
FOR I% = 0 TO 1024
 modefound$ = Future.ModeList$(I%)
 IF modefound$ = "" THEN EXIT FOR
 IF INSTR(modefound$, "640x480 8 Bit") THEN PRINT "Mode found": EXIT FOR
 'Change 640x480 8 Bit" to anything else to check the mode, for example
 '1600x1200 32 Bit
NEXT

